Subject: Protocol Action: 'A clarification on the use of Globally Routable User Agent URIs (GRUUs) in the Session Initiation Protocol (SIP) Event Notification Framework' to Proposed Standard (draft-ietf-sipcore-6665-clarification-00.txt)

From: The IESG <[email-masked]>
Date: Tue, 30 Jun 2015 06:40:29 -0700

The IESG has approved the following document:
- 'A clarification on the use of Globally Routable User Agent URIs
   (GRUUs) in the Session Initiation Protocol (SIP) Event Notification
   Framework'
  (draft-ietf-sipcore-6665-clarification-00.txt) as Proposed Standard

This document is the product of the Session Initiation Protocol Core
Working Group.

The IESG contact persons are Barry Leiba, Ben Campbell and Alissa Cooper.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-6665-clarification/

Technical Summary

  Experience since the publication of the most recent SIP Events
  framework (RFC6665) has shown that there is room for interpretation
  around the use of Globally Routable User Agent URIs in that 
  specification.  This document clarifies the intended behavior.

Working Group Summary

Context: The base SIP specification (RFC3261) introduced (implicitly) the notion of dialog reuse - multiple "usages" of a dialog. For instance, an INVITE usage combined with an event subscription, or multiple event subscriptions. The SIP REFER mechanism (RFC3515) provides a widely used mechanism that creates *implicit* SUBSCRIBE/NOTIFY dialog usages. When used within an INVITE dialog (as it typically is) it causes dialog reuse.

Unfortunately the dialog reuse concept was "half baked", and issues arose around it as it was implemented. This was discussed by RFC5057, recommending that such multiple usages be avoided. RFC5627 added the GRUU mechanism to SIP, providing a way to avoid many instances of dialog sharing. But GRUUs have been controversial - they are complex and far from universally implemented/deployed. A draft (draft-kaplan-dispatch-gruu-problematic-00) raised specific issues with deployment of GRUUs, but that draft expired without having reached consensus. It suggested that GRUUs not be used, and that other mechanisms be used to get around the need for them. But there has been no further work proposed on this since 2011.

The elephant in the room is that there are many deployments that still don't provide GRUUs, and don't intend to do so. Some continue to seek ways that they can be compliant with RFC6665 and yet still avoid implementing GRUU, by arranging their feature implementations to carefully avoid any usage that would require them to do so. 

Nevertheless, all these issues have been aired in the WG, and there is consensus to advance this draft and the companion drafts.

Document Quality

 The shepherd is not aware of any implementations yet. 
  It is my understanding that 3GPP release 12 has a reference,
  indicating that implementations can be expected. 

  This document has been thoroughly reviewed and discussed. Everyone
  that had something to say has aired it. 

Personnel

  The document shepherd is Paul Kyzivat.
  The area director is Ben Campbell.

RFC Editor Note

Please fix incorrect reference in section 1:

OLD:
   This document is intended to clarify a point of implementor confusion
   arising from lack of clarity in [RFC2119].

NEW:
   This document is intended to clarify a point of implementor confusion
   arising from lack of clarity in [RFC6665].